import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

class ImageBytes extends StatelessWidget {
const ImageBytes({super.key,required this.constraints, this.imageStyles,this.imageBytes});
  // styles that will be applies on Image.
  final BoxConstraints? imageStyles;
  final BoxConstraints constraints;
  final Uint8List? imageBytes;

  @override
  Widget build(BuildContext context) {
    return Stack(
        alignment: Alignment.center,
        children: [
          ClipRRect(
            borderRadius: BorderRadius.circular(9),
            child: Container(
              constraints: BoxConstraints(
                maxWidth: constraints.maxWidth * 0.8,
                maxHeight: 330,
              ),
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(9),
                image: DecorationImage(
                  image: Image.memory(
                      fit: BoxFit.cover,
                      imageBytes!,
                    ).image,
                  colorFilter: const ColorFilter.mode(
                    Colors.black26,
                    BlendMode.colorBurn,
                  ),
                ),
              ),
            ),
          ),
          const Center(
            child: CircularProgressIndicator(
              color: Colors.white,
              strokeWidth: 1.0,
            ),
          ),
        ],
      );
  }
}
